Package com.logicaldoc.core.communication

# Class Recipient

java.lang.Object
com.logicaldoc.core.communication.Recipient

All Implemented Interfaces:
  `Serializable`

@Embeddable public class Recipient extends Object implements Serializable
A generic recipient of a message or email

Author:
  Michael Scholz
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`MODE_EMAIL_BCC`
`static final String`
`MODE_EMAIL_CC`
`static final String`
`MODE_EMAIL_REPLYTO`
`static final String`
`MODE_EMAIL_TO`
`static final int`
`TYPE_EMAIL`
`static final int`
`TYPE_SYSTEM`

## Constructor Summary

Constructors
Constructor
Description
`Recipient()`
`Recipient(Recipient source)`
`Recipient(String name, String address)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object arg0)`
`String`
`getAddress()`
`String`
`getMode()`
`String`
`getName()`
`int`
`getRead()`
`int`
`getType()`
`int`
`hashCode()`
`void`
`setAddress(String addr)`
`void`
`setMode(String mode)`
`void`
`setName(String nme)`
`void`
`setRead(int read)`
`void`
`setType(int type)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### TYPE_SYSTEM

public static final int TYPE_SYSTEM

See Also:
  - Constant Field Values

### TYPE_EMAIL

public static final int TYPE_EMAIL

See Also:
  - Constant Field Values

### MODE_EMAIL_TO

public static final String MODE_EMAIL_TO

See Also:
  - Constant Field Values

### MODE_EMAIL_CC

public static final String MODE_EMAIL_CC

See Also:
  - Constant Field Values

### MODE_EMAIL_BCC

public static final String MODE_EMAIL_BCC

See Also:
  - Constant Field Values

### MODE_EMAIL_REPLYTO

public static final String MODE_EMAIL_REPLYTO

See Also:
  - Constant Field Values

## Constructor Details

### Recipient

public Recipient(String name, String address)

### Recipient

public Recipient()

### Recipient

public Recipient(Recipient source)

## Method Details

### getName

public String getName()

### getAddress

public String getAddress()

### setName

public void setName(String nme)

### setAddress

public void setAddress(String addr)

### equals

public boolean equals(Object arg0)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### getMode

public String getMode()

### setMode

public void setMode(String mode)

### getType

public int getType()

### setType

public void setType(int type)

### getRead

public int getRead()

### setRead

public void setRead(int read)

### toString

public String toString()

Overrides:
  `toString` in class `Object`